Subject: Re: bug#31660: 26.1.50; EIEIO manual's Quick Start example makes Emacs unusable

From: Noam Postavsky <[email-masked]>
Date: Sat, 02 Jun 2018 20:23:31 -0400

Gemini Lasswell <[email-masked]> writes:

> Definitely the name of the class in the examples in the manual should be
> changed, so that the examples work.

Yeah.

> Maybe it would also be a good idea for defclass to signal an error or
> at least give a warning message if it is asked to define a class with
> the same name as an existing function unless that function is from a
> previous class definition.

A warning would be okay I think.  An error is too much: if you were
developing a library and decided to change a function into a class, then
you wouldn't be able to reload the new version without restarting Emacs.